Package it.ernytech.tdlib

## Class TdApi.SendInlineQueryResultMessage

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SendInlineQueryResultMessage

Enclosing class:
  TdApi

    public static class TdApi.SendInlineQueryResultMessage
    extends TdApi.Function

Sends the result of an inline query as a message. Returns the sent message. Always clears a chat draft message.

Returns `Message`

### Field Summary

Fields
`long` `chatId` Target chat.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `disableNotification` Pass true to disable notification for the message.
`boolean` `fromBackground` Pass true if the message is sent from background.
`long` `queryId` Identifier of the inline query.
`long` `replyToMessageId` Identifier of a message to reply to or 0.
`java.lang.String` `resultId` Identifier of the inline result.

### Constructor Summary

Constructors
`SendInlineQueryResultMessage()` Default constructor.
`SendInlineQueryResultMessage​(long chatId, long replyToMessageId, boolean disableNotification, boolean fromBackground, long queryId, java.lang.String resultId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Target chat.

#### replyToMessageId

    public long replyToMessageId

Identifier of a message to reply to or 0.

#### disableNotification

    public boolean disableNotification

Pass true to disable notification for the message. Not supported in secret chats.

#### fromBackground

    public boolean fromBackground

Pass true if the message is sent from background.

#### queryId

    public long queryId

Identifier of the inline query.

#### resultId

    public java.lang.String resultId

Identifier of the inline result.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SendInlineQueryResultMessage

    public SendInlineQueryResultMessage()

Default constructor.

#### SendInlineQueryResultMessage

    public SendInlineQueryResultMessage​(long chatId,
                                        long replyToMessageId,
                                        boolean disableNotification,
                                        boolean fromBackground,
                                        long queryId,
                                        java.lang.String resultId)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Target chat.
  `replyToMessageId` - Identifier of a message to reply to or 0.
  `disableNotification` - Pass true to disable notification for the message. Not supported in secret chats.
  `fromBackground` - Pass true if the message is sent from background.
  `queryId` - Identifier of the inline query.
  `resultId` - Identifier of the inline result.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR